exchange-documents.xsd 2.5.7

This space is made available to users of Open Patent Services (OPS) web-service and now also to users of EPO’s bulk data subscription products such as 14. EPO worldwide bibliographic database (DOCDB), 14.11 EPO worldwide legal status database (INPADOC), 14.12 EP full text data, 14.1 EP bibliographic data (EBD)and more.

Users can ask each other questions, exchange experiences and solutions, post ideas. The moderator will use this space to announce changes or other relevant information.
Post Reply

Mike_k43
Posts: 45
Joined: Fri Jan 06, 2017 1:34 pm

exchange-documents.xsd 2.5.7

Post by Mike_k43 » Mon Aug 12, 2019 11:10 am

Hi,

I have a problem with this above file. It now contains in many complexTypes attributes as follows:
<attribute ref="xlink:href"/>
<attribute ref="xlink:type"/>

When trying to convert this to cSharp classes with the xsd.exe tool each of these lines generates the errors (sample error):
Schema validation warning: The 'http://www.w3.org/1999/xlink:href' attribute is not declared. Line 2389, position 4.
Schema validation warning: The 'http://www.w3.org/1999/xlink:type' attribute is not declared. Line 2390, position 4.

What is the source of these error messages and how can this be corrected? It appears that these attributes were not present in version 2.4 of this file, and then there were no such xsd.exe error messages.

Mike_k43


EPO / OPS Support
Posts: 1021
Joined: Thu Feb 22, 2007 5:32 pm

Re: exchange-documents.xsd 2.5.7

Post by EPO / OPS Support » Mon Aug 12, 2019 1:21 pm

Dear Mike,

Could you please try with the newest version of the schema v. 2.5.8?
You can get it from the download area.
https://publication.epo.org/raw-data/pr ... oductId=91

Kind regards,
OPS support


Mike_k43
Posts: 45
Joined: Fri Jan 06, 2017 1:34 pm

Re: exchange-documents.xsd 2.5.7

Post by Mike_k43 » Mon Aug 12, 2019 7:20 pm

There may be an understanding problem. There are on the epo website 6 xsd files for download:
ops.xsd, exchange-documents.xsd, fulltext-documents.xsd, CPCSchema.xsd, rplus.xsd and ops_legal.xsd
These all need to be supplied to the xsd.exe tool. Of these, exchange-documents.xsd has version 2.5.7. The EPO informed OPS users that the current schema definition <exchange-documents-v2.5.7> remains in force even after the classification changes of August 2019. This EPO information file is called "CPCI release_OPS announcement 24 7 2019.pdf"

Now you are informing me that I should use exchange-documents-v2.5.8.xsd which is part of a completely new ZIP package containing also some dtd files. Am I supposed to use this new file together with the other above five files ops.xsd, fulltext-documents.xsd, CPCSchema.xsd, rplus.xsd and ops_legal.xsd?

mike_k43


Mike_k43
Posts: 45
Joined: Fri Jan 06, 2017 1:34 pm

Re: exchange-documents.xsd 2.5.7

Post by Mike_k43 » Mon Aug 12, 2019 7:23 pm

There may be an understanding problem. There are on the epo website 6 xsd files for download:
ops.xsd, exchange-documents.xsd, fulltext-documents.xsd, CPCSchema.xsd, rplus.xsd and ops_legal.xsd
These all need to be supplied to the xsd.exe tool. Of these, exchange-documents.xsd has version 2.5.7. The EPO informed OPS users that the current schema definition <exchange-documents-v2.5.7> remains in force even after the classification changes of August 2019. This EPO information file is called "CPCI release_OPS announcement 24 7 2019.pdf"

Now you are informing me that I should use exchange-documents-v2.5.8.xsd which is part of a completely new ZIP package containing also some dtd files. Am I supposed to use this new file together with the other above five files ops.xsd, fulltext-documents.xsd, CPCSchema.xsd, rplus.xsd and ops_legal.xsd?

mike_k43


EPO / OPS Support
Posts: 1021
Joined: Thu Feb 22, 2007 5:32 pm

Re: exchange-documents.xsd 2.5.7

Post by EPO / OPS Support » Tue Aug 13, 2019 7:54 am

Yes, sorry, indeed, there is a misunderstanding because the DOCDB (bulk data product) schema had the same version number <exchange-documents-v2.5.7>, up to a recent update.

The OPS technical team will look into the errors that you reported.

Kind regards
OPS support


EPO / OPS Support
Posts: 1021
Joined: Thu Feb 22, 2007 5:32 pm

Re: exchange-documents.xsd 2.5.7

Post by EPO / OPS Support » Mon Aug 26, 2019 10:06 am

Dear user,

Our technical team could not find anything wrong with the schema.
According to them, these types have been declared in xlink.xsd:
image.png
OPS documentation

Kind regards,
OPS support


Mike_k43
Posts: 45
Joined: Fri Jan 06, 2017 1:34 pm

Re: exchange-documents.xsd 2.5.7

Post by Mike_k43 » Sat Sep 07, 2019 8:52 am

Indeed, I needed to furthermore download the link https://www.w3.org/XML/2008/06/xlink.xsd as an xml file, rename this to xlink.xsd and include this into the list of xsd files to use by xsd.exe. That solves the above problem.

Now there is a further issue. According to ops.xsd there must be furthermore two files called CPCDefinitions.xsd and ccd.xsd. These files must also be used by xsd.exe and should apparently also be present on http://ops.epo.org/schema. They are however missing on the entire EPO website. Where can I obtain these two files?

Mike_k43


EPO / OPS Support
Posts: 1021
Joined: Thu Feb 22, 2007 5:32 pm

Re: exchange-documents.xsd 2.5.7

Post by EPO / OPS Support » Mon Sep 09, 2019 7:27 am

Hi,

All CPC related documents can be found on CPC website: https://www.cooperativepatentclassifica ... index.html

Regards,
Vesna for OPS


Mike_k43
Posts: 45
Joined: Fri Jan 06, 2017 1:34 pm

Re: exchange-documents.xsd 2.5.7

Post by Mike_k43 » Tue Sep 10, 2019 7:52 am

Hello Vesna,

I knew the site www.cooperativepatentclassification.org. It has a file called CPCDefinitionsSchema10.xsd which is not the file name that EPO's ops.xsd expects and which is furthermore outdated (CPC definitions and last update of 20 May 2016).

The file ccd.xsd then appears to be related to healthcare (Health Level Seven International) but does not exist at all. To recall, out of EPO's ops.xsd file:
<xs:import schemaLocation="ccd.xsd" namespace="http://www.epo.org/ccd"/>
The file ccd.xsd is thus required by ops.xsd

Why doesn't the EPO simply provide correct versions of these two files on their own site?

mike_k43


Post Reply